Skip to main content
GET
Retrieve a default next path

Authorizations

Authorization
string
header
required

Bearer token issued via the Authentication endpoints.

Headers

Authorization
string
required

A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.

To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.

Path Parameters

next-path
string
required

Providing a step ID returns paths only to or from the identified step.

Response

200 - application/json

OK

id
string

The unique ID of this Risk Cloud resource

Example:

"a1b2c3d4"

from
string

The ID of the source step.

Example:

"a1b2c3d4"

to
string

The ID of the destination step.

Example:

"a1b2c3d4"

allowInternal
boolean

Whether a step's current assignee may assign this record to any user with access to the target step on submission.

Example:

false

allowExternal
boolean

Whether a step's current assignee may assign this record to external email addresses on submission.

Example:

false

allowCurrentAssignee
boolean

Allow a step's current assignee to submit without assigning

Example:

false

description
string

Description of the path.

Example:

"This describes the path."

requireAssignee
boolean

Require an assignee to be chosen

Example:

false

object
string

Identifies the type of object this data represents

Example:

"next-path"